<div class="activities-content">
    <table st-table="displayedActivities" st-safe-src="activities" class="table table-striped no-margin-bottom no-border">
        <thead>
            <tr class="title-activity">
                <th st-sort="displayName" st-sort-default="true" st-delay="-1" class="sortable col-xs-6 st-sort-ascent">{{'AGT_CONTENT_ACT_NAME' | translate}}</th>
                <th class="col-xs-2 text-center"><div ng-show="showDissuasion" >{{'AGT_CONTENT_ACT_FAILED_DESTINATION' | translate}}</div></th>
                <th st-sort="associated" class="sortable col-xs-2 text-center">{{'AGT_CONTENT_ACT_ASSO' | translate}}</th>
                <th st-sort="ctrl.sort.status" class="sortable col-xs-2 text-center" >{{'AGT_CONTENT_ACT_STATE' | translate}}</th>
            </tr>
        
            <tr class="submenu">
                <td>
                    <div class="checkbox">
                        <input type="checkbox" id="activities" ng-model="displayMyQueues" ng-change="ctrl.loadQueues()">
                        <label for="activities">
                            {{'AGT_CONTENT_ACT_OWN' | translate}}
                        </label>
                    </div>
                </td>

                <td></td>
                <td colspan="2">
                    <div ng-show="displayMyQueues && ctrl.canAssociate()" class="checkbox enterall">
                        <input type="checkbox" id="all" ng-model="ctrl.allQueueSelected" ng-change="ctrl.enterAllQueues()"
                        indeterminate="ctrl.someQueueSelected" ng-disabled="ctrl.allQueueSelected">
                        <label for="all">
                            {{'AGT_CONTENT_ACT_ALL' | translate}}
                        </label>
                    </div>
                </td>
            </tr>
        </thead>    
    </table>

    <table class="table table-striped no-border activities-table">     
        <tr ng-show="!displayedActivities.length" class="empty-text"><td colspan="3">{{'AGT_CONTENT_ACT_NO_QUEUES' | translate}}</td></tr>
        
        <tr ng-repeat="activity in displayedActivities track by $index" class="{{ ctrl.getState(activity) }}-background"
            ng-mouseover="ctrl.setCounters(activity)" ng-mouseleave="ctrl.clearHover()"
            uib-popover-template="'counters.html'" popover-placement="auto bottom-right" popover-trigger="'mouseenter'" popover-popup-delay="600"
            popover-append-to-body="true" popover-class="table-popover" popover-is-open="popoverStatsVisible[activity.name]" popover-enable="popoverStatsEnable[activity.name]">
            <td class="col-xs-6">
                <p class="pull-left" ng-class="{'padding-remove': displayMyQueues}" long-text="{{ activity.displayName }}" 
                max-chars="13"></p>
                <span class="pull-right force-remove-icon-height" ng-show="displayMyQueues">
                    <a class="removeQueue fa-stack" ng-class="{'disabled' : activity.associated }"  href="" title="{{'AGT_CONTENT_ACT_REMOVE' | translate}}"
                    ng-click="ctrl.removeFromFavorites(activity)">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-minus-circle fa-stack-1x"></i>
                    </a>
                </span>
            </td>

            <td ng-show ="showDissuasion" class="text-center col-xs-2 message-dissuasion">
                <failed-destination activity="activity" title="'FAILED_DESTINATION' | translate"
                 opendissuasiondropdown="ctrl.opendissuasiondropdown(activity)" closedissuasiondropdown="ctrl.closedissuasiondropdown(activity)"></failed-destination>
            </td>

            <td class="text-center col-xs-2">
                <i ng-show="!ctrl.isHovered(activity)" class="fa fa-{{ activity.associated ? 'check' : 'times'}}" ng-class="{'fa-spinner fa-spin fa-fw': pendingActivities[activity.id]}"></i>
                <span ng-show="ctrl.isHovered(activity) && ctrl.canAssociate()" class="fa-stack">
                    <a href="" ng-click="ctrl.enterOrLeaveQueue(activity)">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-{{ activity.associated ? 'check' : 'times'}} fa-stack-1x" ng-class="{'fa-spinner fa-spin fa-fw': pendingActivities[activity.id]}"></i>
                    </a>
                </span>
            </td>

            <td class="text-center col-xs-2">
                <span ng-show="!ctrl.isHovered(activity)" class="d-inline-flex">
                    <i class="fa fa-list {{ ctrl.getState(activity) }}"></i>
                    <div class="call-badge-container">
                        <span class="badge call-badge" ng-if="activity.WaitingCalls">{{activity.WaitingCalls}}</span>
                    </div>
                    
                </span>
                <span ng-show="ctrl.isHovered(activity)" class="fa-stack">
                    <a href="" ng-click="ctrl.dial(activity)">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-phone fa-stack-1x"></i>
                    </a>
                </span>
            </td>

        </tr>
    </table>
</div>

<script type="text/ng-template" id="counters.html">
    <div>
        <span class="pull-left">{{'AGT_CONTENT_ACT_POP_NUMBER' | translate}}</span>
        <span class="pull-right">{{activityCounters.number}}</span>
        <div class="separator"><br/></div>
        <span class="pull-left">{{'AGT_CONTENT_ACT_POP_CALLS' | translate}}</span>
        <span class="pull-right">{{activityCounters.calls}}</span>
        <div class="separator"><br/></div>
        <span class="pull-left">{{'AGT_CONTENT_ACT_POP_ETA' | translate}}</span>
        <span class="pull-right">{{activityCounters.eta | date:'HH:mm:ss'}}</span>
        <div class="separator"><br/></div>
        <span class="pull-left">{{'AGT_CONTENT_ACT_POP_AGENTS' | translate}}</span>
        <span class="pull-right">{{activityCounters.agents}}</span>
    </div>
    <div class="clearfix"></div>
</script>
